Skip to main content
POST
/
v6
/
timeTracking
/
times
/
query
Query times
curl --request POST \
  --url https://sandbox.tight.com/v6/timeTracking/times/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {},
  "filter": {
    "description": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "status": {
      "in": [],
      "notIn": []
    }
  }
}
'
import requests

url = "https://sandbox.tight.com/v6/timeTracking/times/query"

payload = {
"cursor": "<string>",
"limit": 123,
"sort": {},
"filter": {
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [],
"notIn": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {},
filter: {
description: {
equal: '<string>',
notEqual: '<string>',
greaterThan: '<string>',
greaterThanEqual: '<string>',
lessThan: '<string>',
lessThanEqual: '<string>',
contain: '<string>'
},
status: {in: [], notIn: []}
}
})
};

fetch('https://sandbox.tight.com/v6/timeTracking/times/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "tme_28868401",
      "date": "2024-03-15",
      "status": "ACTIVE",
      "duration": 3600000,
      "task": {
        "id": "tmt_28868401",
        "description": "Development work"
      },
      "description": "Worked on feature implementation",
      "notes": "Additional context about the work",
      "invoice": {
        "id": "<string>",
        "name": "<string>",
        "date": "2023-12-25",
        "lineItems": [
          {
            "id": "ili_123456",
            "amount": 5001
          }
        ]
      },
      "customer": {
        "id": "cus_4852707",
        "name": "Abigail Adams",
        "email": "abigail@tight.com"
      },
      "dimensionValues": [
        {
          "id": "dv_593051",
          "dimension": {
            "id": "dim_4521",
            "name": "Region",
            "requiredness": "NOT_REQUIRED"
          },
          "name": "Mid-Atlantic",
          "child": {
            "id": "dv_593052",
            "dimension": {
              "id": "dim_4521",
              "name": "Region",
              "requiredness": "NOT_REQUIRED"
            },
            "name": "Washington DC",
            "child": "<unknown>"
          }
        }
      ],
      "employee": {
        "id": "emp_12345",
        "firstName": "John",
        "lastName": "Doe",
        "email": "employee@example.com"
      },
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.